| Home | Libraries | People | FAQ | More

# boost::asio::ssl Namespace Reference

## Detailed Description

The boost::asio::ssl namespace defines templates and classes for SSL.

## Classes

class | basic_context
| SSL context. More...
class | context_base
| The context_base class is used as a base for the basic_context class template so that we have a common place to define various enums. More...
class | context_service
| Default service implementation for a context. More...
class | stream
| Provides stream-oriented functionality using SSL. More...
class | stream_base
| The stream_base class is used as a base for the boost::asio::ssl::stream class template so that we have a common place to define various enums. More...
class | stream_service
| Default service implementation for an SSL stream. More...

## Typedefs

typedef basic_context< context_service > | context
| Typedef for the typical usage of context.

## Typedef Documentation

typedef basic_context<context_service> boost::asio::ssl::context

Typedef for the typical usage of context.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff